local addonname, addon = ...
local childName = addon['childName']
local L = LibStub("AceLocale-3.0"):NewLocale(childName, "enUS", true)
if L then
	L[childName] = childName
	L[format('%s Settings', childName)] = format('%s Settings', childName)
	L['Sunday'] = true
	L['Monday'] = true
	L['Tuesday'] = true
	L['Wednesday'] = true
	L['Thursday'] = true
	L['Friday'] = true
	L['Saturday'] = true
	L['January'] = true
	L['February'] = true
	L['March'] = true
	L['April'] = true
	L['May'] = true
	L['June'] = true
	L['July'] = true
	L['August'] = true
	L['September'] = true
	L['October'] = true
	L['November'] = true
	L['December'] = true
	L['Show Clock'] = true
	L['Show Latency'] = true
	L['Show FPS'] = true
	L['Time'] = true
	L['FPS'] = true
	L['Latency'] = true
	L["garbagecollect"] = "|c0000ff00Ctrl-Leftclick|r |c00ffffffforces a garbage collect.|r"
	L['HINT3'] = "|c0000ff00Shift-Leftclick|r |c00fffffftoggles minimap icon|r"
	L['HINT4'] = "|c0000ff00Leftclick|r |c00fffffftoggles calendar|r"
	L['HINT5'] = "|c0000ff00Middleclick|r |c00ffffffToggle CPU profiling|r"
	L['AddOn Memory'] = true
	L["garbagecollected"] = "Forced garbage collect"
	L["12-Hours"] = true
	L['Clock'] = "Clock"
	L['Date'] = "Date"
	L['Expert'] = "Expert mode"
	L['LDB'] = "LDB"
	L['dateinfo'] = [=[%a is replaced by the locales abbreviated weekday name. 
%A is replaced by the locales full weekday name. 
%b is replaced by the locales abbreviated month name. 
%B is replaced by the locales full month name. 
%c is replaced by the locales appropriate date and time representation. 
%C is replaced by the century number the year divided by 100 and truncated to an integer as a decimal number 00-99. 
%d is replaced by the day of the month as a decimal number 01,31. 
%D same as %m/%d/%y. 
%e is replaced by the day of the month as a decimal number 1,31; a single digit is preceded by a space. 
%h same as %b. 
%H is replaced by the hour 24-hour clock as a decimal number 00,23. 
%I is replaced by the hour 12-hour clock as a decimal number 01,12. 
%j is replaced by the day of the year as a decimal number 001,366. 
%m is replaced by the month as a decimal number 01,12. 
%M is replaced by the minute as a decimal number 00,59. 
%n is replaced by a newline character. 
%p is replaced by the locales equivalent of either a.m. or p.m. 
%r is replaced by the time in a.m. and p.m. notation; in the POSIX locale this is equivalent to %I:%M:%S %p. 
%R is replaced by the time in 24 hour notation %H:%M. 
%S is replaced by the second as a decimal number 00,61. 
%t is replaced by a tab character. 
%T is replaced by the time %H:%M:%S. 
%u is replaced by the weekday as a decimal number 1,7 , with 1 representing Monday. 
%U is replaced by the week number of the year Sunday as the first day of the week as a decimal number 00,53. 
%V is replaced by the week number of the year Monday as the first day of the week as a decimal number 01,53. If the week containing 1 January has four or more days in the new year, then it is considered week 1. Otherwise, it is the last week of the previous year, and the next week is week 1. 
%w is replaced by the weekday as a decimal number 0,6 , with 0 representing Sunday. 
%W is replaced by the week number of the year Monday as the first day of the week as a decimal number 00,53. All days in a new year preceding the first Monday are considered to be in week 0. 
%x is replaced by the locales appropriate date representation. 
%X is replaced by the locales appropriate time representation. 
%y is replaced by the year without century as a decimal number 00,99. 
%Y is replaced by the year with century as a decimal number. 
%Z is replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. 
%% is replaced by %.]=]
	L["Latencystring"] = "%world %local"
	L['fpsstring'] = "%fps"
	L['ldbstring'] = "%clock %date %fps %latency %home"
	L["%i kB"] = "%i kB"
	L["%i ms"] = "%i ms"
	L["AddOns"] = "AddOns"
	L['CPU'] = 'CPU'
	L['total'] = 'Total'
	L["CPU setting changed. Please Reload UI."] = "CPU setting changed. Please Reload UI."
	L['fpsheader'] = ""
	L['Latency High'] = "Latency High"
	L['Latency High Desc'] = "Set value 0 to disable this"
	L['Latency High Color'] = "Latency High Color"
	L['Latency Medium'] = "Latency Medium"
	L['Latency Medium Desc'] = "Set value 0 to disable this"
	L['Latency Medium Color'] = "Latency Medium Color"
	L['Latency Low'] = "Latency Low"
	L['Latency Low Desc'] = "Set value 0 to disable this"
	L['Latency Low Color'] = "Latency Low Color"
	L['FPS High'] = "FPS High"
	L['FPS High Desc'] = "Set value 0 to disable this"
	L['FPS High Color'] = "FPS High Color"
	L['FPS Medium'] = "FPS Medium"
	L['FPS Medium Desc'] = "Set value 0 to disable this"
	L['FPS Medium Color'] = "FPS Medium Color"
	L['FPS Low'] = "FPS Low"
	L['FPS Low Desc'] = "Set value 0 to disable this"
	L['FPS Low Color'] = "FPS Low Color"
end