local addonname, addon = ...
local childName = addon['childName']
local L = LibStub("AceLocale-3.0"):NewLocale(childName, "deDE", false)
if L then
	L[childName] = childName
	L[format('%s Settings', childName)] = format('%s Einstellungen', childName)
	L['Sunday'] = "Sonntag"
	L['Monday'] = "Montag"
	L['Tuesday'] = "Dienstag"
	L['Wednesday'] = "Mittwoch"
	L['Thursday'] = "Donnerstag"
	L['Friday'] = "Freitag"
	L['Saturday'] = "Samstag"
	L['January'] = "Januar"
	L['February'] = "Februar"
	L['March'] = "M\195\164rz"
	L['April'] = "April"
	L['May'] = "Mai"
	L['June'] = "Juni"
	L['July'] = "Juli"
	L['August'] = "August"
	L['September'] = "September"
	L['October'] = "Oktober"
	L['November'] = "November"
	L['December'] = "Dezember"
	L['Show Clock'] = "Zeige Uhrzeit"
	L['Show Latency'] = "Zeige Latenz"
	L['Show FPS'] = "Zeige FPS"
	L['Time'] = "Uhrzeit"
	L['FPS'] = "FPS"
	L['Latency'] = "Latenz"
	L["garbagecollect"] = "|c0000ff00Strg-Linksklick|r |c00fffffferzwingt Garbage-Collect|r"
	L['HINT3'] = "|c0000ff00Shift-Linksklick|r |c00ffffffschaltet Minimapicon an/aus|r"
	L['HINT4'] = "|c0000ff00Linksklick|r |c00ffffffschaltet Kalender an/aus|r"
	L['HINT5'] = "|c0000ff00Mittelklick|r |c00ffffffCPU Profiling \195\164ndern|r"
	L['AddOn Memory'] = "AddOn Speicher"
	L["garbagecollected"] = "Garbage-Collect erzwungen"
	L["12-Hours"] = "12-Stunden"
	L['Clock'] = "Uhr"
	L['Date'] = "Datum"
	L['Expert'] = "Expertenmodus"
	L['LDB'] = "LDB"
	L['dateinfo'] = [=[%a is replaced by the locales abbreviated weekday name. 
%A is replaced by the locales full weekday name. 
%b is replaced by the locales abbreviated month name. 
%B is replaced by the locales full month name. 
%c is replaced by the locales appropriate date and time representation. 
%C is replaced by the century number the year divided by 100 and truncated to an integer as a decimal number 00-99. 
%d is replaced by the day of the month as a decimal number 01,31. 
%D same as %m/%d/%y. 
%e is replaced by the day of the month as a decimal number 1,31; a single digit is preceded by a space. 
%h same as %b. 
%H is replaced by the hour 24-hour clock as a decimal number 00,23. 
%I is replaced by the hour 12-hour clock as a decimal number 01,12. 
%j is replaced by the day of the year as a decimal number 001,366. 
%m is replaced by the month as a decimal number 01,12. 
%M is replaced by the minute as a decimal number 00,59. 
%n is replaced by a newline character. 
%p is replaced by the locales equivalent of either a.m. or p.m. 
%r is replaced by the time in a.m. and p.m. notation; in the POSIX locale this is equivalent to %I:%M:%S %p. 
%R is replaced by the time in 24 hour notation %H:%M. 
%S is replaced by the second as a decimal number 00,61. 
%t is replaced by a tab character. 
%T is replaced by the time %H:%M:%S. 
%u is replaced by the weekday as a decimal number 1,7 , with 1 representing Monday. 
%U is replaced by the week number of the year Sunday as the first day of the week as a decimal number 00,53. 
%V is replaced by the week number of the year Monday as the first day of the week as a decimal number 01,53. If the week containing 1 January has four or more days in the new year, then it is considered week 1. Otherwise, it is the last week of the previous year, and the next week is week 1. 
%w is replaced by the weekday as a decimal number 0,6 , with 0 representing Sunday. 
%W is replaced by the week number of the year Monday as the first day of the week as a decimal number 00,53. All days in a new year preceding the first Monday are considered to be in week 0. 
%x is replaced by the locales appropriate date representation. 
%X is replaced by the locales appropriate time representation. 
%y is replaced by the year without century as a decimal number 00,99. 
%Y is replaced by the year with century as a decimal number. 
%Z is replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. 
%% is replaced by %.]=]
	L["Latencystring"] = "%world %local"
	L['fpsstring'] = "%fps"
	L['ldbstring'] = "%clock %date %fps %latency %home"
	L["%i kB"] = "%i kB"
	L["%i ms"] = "%i ms"
	L["AddOns"] = "AddOns"
	L['CPU'] = 'CPU'
	L['total'] = 'Gesamt'
	L["CPU setting changed. Please Reload UI."] = "CPU Einstellung ge\195\164ndert. Bitte UI neu laden."
	L['fpsheader'] = ""
	L['Latency High'] = "Hohe Latenz"
	L['Latency High Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['Latency High Color'] = "Farbe hohe Latenz"
	L['Latency Medium'] = "Mittlere Latenz"
	L['Latency Medium Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['Latency Medium Color'] = "Farbe mittlere Latenz"
	L['Latency Low'] = "Niedrige Latenz"
	L['Latency Low Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['Latency Low Color'] = "Farbe niedrige Latenz"
	L['FPS High'] = "Hohe FPS"
	L['FPS High Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['FPS High Color'] = "Farbe hohe FPS"
	L['FPS Medium'] = "Mittlere FPS"
	L['FPS Medium Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['FPS Medium Color'] = "Farbe mittlere FPS"
	L['FPS Low'] = "Niedrige FPS"
	L['FPS Low Desc'] = "Setze Wert auf 0 für Standardfarbe"
	L['FPS Low Color'] = "Farbe niedrige FPS"
end

-- � \195\182 � \195\159
-- � \195\188 � \195\164
-- � \195\132
-- � \195\182
-- � \195\156